Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Knopf

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Knopf

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Radioknopf

    public class Knopf

extends Textkomponente
implements Serializable

Ein Knopf ist die Klasse fuer Java-Buttons. Knoepfe reagieren auf einen Klick mit der Maus. Knoepfe haben im Konstruktor als letzten Parameter eine Zeichenkette, die den Namen der Aktions-Methode enthaelt.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary
`protected AbstractButton` | `hatButton`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Knopf()` Dummy-Konstruktor für die Unterklasse RadioKnopf.
`Knopf(double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift)` Der Knopf wird erzeugt und bekommt den Text pAufschrift.
`Knopf(double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift, String pGeklicktBearbeiter)` Der Knopf wird erzeugt und bekommt den Text pAufschrift.
`Knopf(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift)` Der Knopf wird erzeugt und bekommt den Text pAufschrift.
`Knopf(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift, String pGeklicktBearbeiter)` Der Knopf wird erzeugt und bekommt den Text pAufschrift.

Method Summary
`protected void` | `bekommtFokus()` Der Knopf erhaelt den Fokus.
`String` | `inhaltAlsText()` Die Beschriftung des Knopfs wird als String zurueckgegeben.
`protected void` | `knopfGeklickt()` Der Knopf reagiert auf einen Mausklick, indem er die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.
`void` | `setzeBearbeiterGeklickt(String pBearbeiter)` Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeInhalt(String pText)` Der Knopf erhaelt eine neue Aufschrift.
`protected void` | `verliertFokus()` Der Knopf verliert den Fokus.

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatButton

    protected AbstractButton hatButton

Constructor Detail

### Knopf

    public Knopf()

  Dummy-Konstruktor für die Unterklasse RadioKnopf.

### Knopf

    public Knopf(double pLinks,
                 double pOben,
                 double pBreite,
                 double pHoehe,
                 String pAufschrift)

  Der Knopf wird erzeugt und bekommt den Text pAufschrift. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethodee, die beim Druecken des Knopfes aufgerufen wird, muss noch festgelegt werden. Der Knopf befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Inhalt der Komponente

### Knopf

    public Knopf(double pLinks,
                 double pOben,
                 double pBreite,
                 double pHoehe,
                 String pAufschrift,
                 String pGeklicktBearbeiter)

  Der Knopf wird erzeugt und bekommt den Text pAufschrift. Position, Breite und Hoehe werden als Parameter uebergeben. Der letzte Parameter ist der Name der Aktionsmethodee, die beim Druecken des Knopfes aufgerufen wird. Der Knopf befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Inhalt der Komponente
    `pGeklicktBearbeiter` - der Bezeichner des Dienstes, der aufgerufen wird, wenn der Knopf geklickt wird

### Knopf

    public Knopf(Fenster pFenster,
                 double pLinks,
                 double pOben,
                 double pBreite,
                 double pHoehe,
                 String pAufschrift)

  Der Knopf wird erzeugt und bekommt den Text pAufschrift. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethodee, die beim Druecken des Knopfes aufgerufen wird, muss noch festgelegt werden. Der Knopf befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Inhalt der Komponente

### Knopf

    public Knopf(Fenster pFenster,
                 double pLinks,
                 double pOben,
                 double pBreite,
                 double pHoehe,
                 String pAufschrift,
                 String pGeklicktBearbeiter)

  Der Knopf wird erzeugt und bekommt den Text pAufschrift. Position, Breite und Hoehe werden als Parameter uebergeben. Der letzte Parameter ist der Name der Aktionsmethodee, die beim Druecken des Knopfes aufgerufen wird. Der Knopf befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Inhalt der Komponente
    `pGeklicktBearbeiter` - der Bezeichner des Dienstes, der aufgerufen wird, wenn der Knopf geklickt wird

Method Detail

### bekommtFokus

    protected void bekommtFokus()

  Der Knopf erhaelt den Fokus.

### inhaltAlsText

    public String inhaltAlsText()

  Die Beschriftung des Knopfs wird als String zurueckgegeben.

  Specified by:
    `inhaltAlsText` in class `Textkomponente`
  Returns:
    der Inhalt (die Aufschrift) des Knopfes

### knopfGeklickt

    protected void knopfGeklickt()

  Der Knopf reagiert auf einen Mausklick, indem er die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.

### setzeBearbeiterGeklickt

    public void setzeBearbeiterGeklickt(String pBearbeiter)

  Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Knopf geklickt wird

### setzeInhalt

    public void setzeInhalt(String pText)

  Der Knopf erhaelt eine neue Aufschrift.

  Specified by:
    `setzeInhalt` in class `Textkomponente`
  Parameters:
    `pText` - der Text, der als neuer Inhalt gesetzt wird

### verliertFokus

    protected void verliertFokus()

  Der Knopf verliert den Fokus.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD